# Dynamic breadcrumb documentation

CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Requirements
 * Installation
 * Configuration
 * Maintainers


INTRODUCTION
------------

The Dynamic Breadcrumb module provides an advanced way to change labels of items
generated by Drupal's core breadcrumb following the best-practices
of altering breadcrumbs on Drupal.

The module uses Token UI to give the users a better UX when it comes to
customizing the breadcrumb.

For more informations, see the full description on
https://www.drupal.org/project/dynamic_breadcrumb

REQUIREMENTS
------------

This module requires Token UI module in order to use
the configuration form properly.

INSTALLATION
------------

Install the Dynamic Breadcrumb module as you would normally install a
contributed Drupal module.
Visit https://www.drupal.org/node/1897420 for further information.
The module requires Token UI as a dependency on Composer,
so it will be automatically installed.


CONFIGURATION
-------------

    1. Navigate to Administration > Extend and enable the module.
    2. Navigate to Administration > Configuration > User interface >
     Dynamic breadcrumb.
    3. Configure the entity types that you want to be used by the module from
      Administration > Configuration > User interface > Dynamic breadcrumb ->
      Entity Types Settings
    4. Configure the entity types that you want to be used by the module from
      Administration > Configuration > User interface > Dynamic breadcrumb ->
      Breadcrumbs settings


Once on the configuration page, you should have a form with four collapsible
fieldsets for the following entity types (Node, Media, Taxonomy term and User),
each fieldset contains checkboxes referring to bundles and a hyperlink
(Browse available tokens), once a checkbox is checked,
a required textfield will appear below the checkbox which allows you to type
the custom breadcrumb value.
Tokens can be used and they will be replaced automatically by the dynamic value.

MAINTAINERS
-----------

 * **Akram ZAIRIG** - Creator and Maintainer - https://www.drupal.org/u/akram-zairig
 * **Azz-eddine BERRAMOU** - Maintainer - https://www.drupal.org/u/berramou
